#include<bits/stdc++.h>
using namespace std;

int nzs3(int x,int y,int z)
{
    int nzd,nzs,xy;
    nzd=__gcd(x,y);
    xy=(x/nzd)*y;
    nzd=__gcd(xy,z);
    nzs=(xy/nzd)*z;
}

int main()
{
    ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
    int x,y,z,nzd,imenilac,brojilac;
    long long rezultat=(long long)0,l,r;
    cin >> x >> y >> z >> l >> r;
    imenilac=nzs3(x,y,z);
    brojilac=imenilac/x+imenilac/y+imenilac/z;
    if(brojilac > imenilac)
    {
        cout << 0;
    }
    else if(brojilac==imenilac)
    {
        if(l%imenilac==0)
            rezultat=(r/imenilac)-(l/imenilac)+1;
        else
            rezultat=(r/imenilac)-(l/imenilac);
        cout << rezultat;
    }
    else if(brojilac<imenilac)
    {
        long long broj;
        if(l<=100)
            for (int i=l;i<=(int)min((long long)100,r);i++)
            {
                broj=i/x+i/y+i/z;
                if(i%x>0) broj++;
                if(i%y>0) broj++;
                if(i%z>0) broj++;
                if(broj<=i)
                    rezultat++;
            }
        if(r>(long long)100)
            rezultat=rezultat+(r-max(l,(long long)101))+1;
        cout << rezultat;
    }
}